#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Log
%define		pnam	Log4perl
Summary:	Log::Log4perl Perl module - adds logging capabilities
Summary(pl.UTF-8):	Moduł Perla Log::Log4perl - dostarczenie obsługi logowania
Name:		perl-Log-Log4perl
Version:	1.46
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d247d2327d7f32dca09cbeb51a953fc5
URL:		http://mschilli.github.io/log4perl/
%if %{with tests}
BuildRequires:	perl(File::Path) >= 2.06_06
BuildRequires:	perl(File::Spec) >= 0.82
BuildRequires:	perl-DBD-CSV >= 0.33
BuildRequires:	perl-DBD-SQLite
BuildRequires:	perl-DBI >= 1.607
BuildRequires:	perl-Log-Dispatch
#BuildRequires:	perl-Log-Dispatch-FileRotate >= 1.10
BuildRequires:	perl-SQL-Statement >= 1.20
BuildRequires:	perl-Test-Simple >= 0.45
BuildRequires:	perl-XML-DOM >= 1.43
#BuildRequires:	perl-rrdtool
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.663
Requires:	perl-XML-DOM >= 1.43
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# used conditionally
%define		_noautoreq_perl	XML::DOM LWP::UserAgent Log::Dispatch::FileRotate Log::Log4Perl.* RRDs

%description
Log::Log4perl lets you remote-control and fine-tune the logging
behaviour of your system from the outside. It implements the widely
popular (Java-based) Log4j logging package in pure Perl.

%description -l pl.UTF-8
Log::Log4perl pozwala na zdalne sterowanie i szczegółowe dostosowanie
sposobu logowania z zewnątrz. Jest implementacją popularnego (opartego
na Javie) pakietu logującego Log4j w czystym Perlu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL < /dev/null \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes LICENSE
%attr(755,root,root) %{_bindir}/l4p-tmpl
%{perl_vendorlib}/Log/Log4perl.pm
%{perl_vendorlib}/Log/Log4perl
%{_mandir}/man1/l4p-tmpl.1p*
%{_mandir}/man3/Log::Log4perl*.3pm*
%changelog
* Sat Jan 02 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Log-Log4perl.git;a=log;h=master

* Sun Sep 20 2015 Jakub Bogusz <qboosh@pld-linux.org> 8c17d7b
- updated BRs and _noautoreq list

* Thu Sep 10 2015 Marcin Krol <hawk@tld-linux.org> df39ecb
- updated to 1.46, updated URL

* Sat Jun 02 2012 Caleb Maclennan <caleb@alerque.com> 93ad579
- Up to 1.37

* Wed Jan 11 2012 zbyniu <zbyniu@pld-linux.org> 0b4be8f
- up to 1.35

* Tue Mar 22 2011 Caleb Maclennan <caleb@alerque.com> ed04023
- Up to 1.32

* Tue Oct 20 2009 amateja <amateja@pld-linux.org> b039f8f
- updated to 1.25

* Wed Sep 16 2009 amateja <amateja@pld-linux.org> 6f002d3
- updated to 1.24

* Sun Feb 17 2008 radek <radek@pld-linux.org> cf8ce39
- release 2: _noautoreq RRDs

* Sun Feb 17 2008 radek <radek@pld-linux.org> 09e24f5
- version 1.15

* Wed Jan 09 2008 Maciej Pijanka <agaran@pld-linux.org> af43af6
- rel 1, builds here

* Mon Dec 24 2007 zbyniu <zbyniu@pld-linux.org> 68d8c3e
- up to 1.14

* Sun Apr 08 2007 wrobell <wrobell@pld-linux.org> 662c066
- ver. 1.10

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7489ed9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 94fc159
- converted to UTF-8

* Tue Aug 08 2006 Maciej Pijanka <agaran@pld-linux.org> 7dbf82e
- up to 1.06, rel 0.1, builds here

* Mon Jun 19 2006 blaass <blaass@pld-linux.org> 0d66fbc
- up to 1.05

* Thu Aug 11 2005 radek <radek@pld-linux.org> 5bff824
- bcond_with(out) is followed by one \t, then bcond's name.

* Sat Jul 23 2005 radek <radek@pld-linux.org> d8df658
- version 0.52

* Fri Jan 07 2005 Adam Gołębiowski <adamg@pld-linux.org> 6744612
- release 2 (for fixed deps on ac-i386)

* Mon Jan 03 2005 Adam Gołębiowski <adamg@pld-linux.org> 4ac2737
- updated to 0.50

